Inhalte
Index 🔎︎

# Write# Statement

Writes data to a sequential text file with delimiting characters.

Use Print# statement to print data to a sequential text file. Use Put# statement to write data to a binary or a random file.

### Syntax:

    Write [#fileNum] {,|;} expression [, …]

### Parameter:

fileNum: Any numeric expression that contains the file number that was set by the Open statement for the respective file.

expression list: Variables or expressions that you want to enter in a file, separated by commas.

Wird die Ausdrucksliste nicht mit angegeben, fügt die Anweisung Write der Datei eine Leerzeile hinzu.

Um eine Ausdrucksliste in eine neue oder bestehende Datei zu schreiben, muss die Datei im Modus Output oder Append geöffnet sein.

Von Ihnen eingegebenen Zeichenketten werden in Anführungszeichen eingeschlossen und durch Kommata getrennt. Sie brauchen diese Trennzeichen also nicht in die Ausdrucksliste einzugeben.

Als letzten Eintrag geben alle Anweisungen Write ein Symbol für Zeilenende aus.

Zahlen mit Dezimaltrennzeichen werden gemäß dem eingestellten Gebietsschema konvertiert.

### Beispiel:

    Sub ExampleWrite
        Dim iCount As Integer
        Dim sValue As String
        iCount = Freefile
        Open "C:\data.txt" For Output As iCount
        sValue = "Hamburg"
        Write #iCount,sValue,200
        sValue = "New York"
        Write #iCount,sValue,300
        sValue = "Miami"
        Write #iCount,sValue,450
        Close #iCount
    End Sub

Verwandte Themen

Open Statement

Print# Statement

Put# Statement

Close Statement